aboutsummaryrefslogtreecommitdiff
path: root/contrib/cpt-new
diff options
context:
space:
mode:
authormerakor <cem@ckyln.com>2020-07-24 09:45:05 +0000
committermerakor <cem@ckyln.com>2020-07-24 09:45:05 +0000
commita5742ec0d46f60fcbeec141744a2e35a9e5dd6d5 (patch)
tree653077a372cea7a5842db627546d2fab72c5f7e2 /contrib/cpt-new
parent453a27cc1b956246c9639555268631abf0687e40 (diff)
downloadcpt-a5742ec0d46f60fcbeec141744a2e35a9e5dd6d5.tar.gz
contrib: rename scripts
FossilOrigin-Name: d35a756a5d603ac894873aeb0a30826cb4b3fe9e257ecf21298225e07f517ddd
Diffstat (limited to 'contrib/cpt-new')
-rwxr-xr-xcontrib/cpt-new23
1 files changed, 23 insertions, 0 deletions
diff --git a/contrib/cpt-new b/contrib/cpt-new
new file mode 100755
index 0000000..a068704
--- /dev/null
+++ b/contrib/cpt-new
@@ -0,0 +1,23 @@
+#!/bin/sh -e
+# Create a boilerplate KISS package
+
+out() { printf '\033[1;33m-> \033[m%s\n' "$@" >&2 ;}
+die() { printf '\033[1;31m!> \033[m%s\n' "$@" >&2 ; exit 1 ;}
+
+case "$1" in ''|--help|-h) out "usage: ${0##*/} [name] [version] [source]"; exit 0; esac
+
+[ -d "$1" ] && die "Package '$1' already exists."
+
+# Create the directory
+mkdir -p "$1"
+
+# Create the build file
+printf '%s\n' "#!/bin/sh -e" > "$1/build" ; chmod +x "$1/build"
+
+# Create the version file
+printf '%s\n' "$2 1" > "$1/version"
+
+# Create the sources file
+printf '%s\n' "$3" > "$1/sources"
+
+out "Package '$1' created to '$PWD/$1'"